Skip to main content
DELETE
/
v1
/
replica
/
{id}
/
chats
/
{chatId}
/
queue
/
{messageId}
Remove Queued Message
curl --request DELETE \
  --url https://api.tryreplicas.com/v1/replica/{id}/chats/{chatId}/queue/{messageId} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.tryreplicas.com/v1/replica/{id}/chats/{chatId}/queue/{messageId}"

headers = {"Authorization": "Bearer <token>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.tryreplicas.com/v1/replica/{id}/chats/{chatId}/queue/{messageId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "queue": [
    {
      "id": "<string>",
      "message": "<string>",
      "queuedAt": "2023-11-07T05:31:56Z",
      "senderUserId": "<string>",
      "senderEmail": "<string>",
      "senderDisplayName": "<string>"
    }
  ]
}
{
"error": "<string>",
"details": "<string>"
}
{
"error": "<string>",
"details": "<string>"
}
{
"error": "<string>",
"details": "<string>"
}

Authorizations

Authorization
string
header
required

API key authentication. Obtain your API key from the Replicas dashboard under Preferences → Organization → Settings → API Keys.

Path Parameters

id
string<uuid>
required

The unique identifier of the replica

chatId
string
required

The unique identifier of the chat

messageId
string
required

The unique identifier of the queued message

Response

Queued message removed successfully

Result of a queue mutation.

success
boolean
required

Whether the queue mutation changed the queue.

queue
object[]
required